CPAN::Changes::Entry(3)

NAME
CPAN::Changes::Entry - A change entry in a CPAN Changes file

SYNOPSIS
  my $entry = CPAN::Changes::Entry->new(
    text    => 'A change entry'
    entries => [
      'A sub-entry',
      'Another sub-entry',
    ],
  );

DESCRIPTION
A changelog is made up of one or more releases. This object provides access to all of the key data that embodies a release including the version number, date of release, and all of the changelog information lines.

ATTRIBUTES

  text
The text of the change entry.

  entries
An array ref of sub-entries under this change entry.

  line
The line number that the change entry starts at.

METHODS

  serialize
Returns the changes entry in string form.

  clone
Returns a new release object with the same data. Can be given any attributes to set them differently in the new object.

  has_entries
Returns true if there are sub-entries for this entry.

  find_entry
Accepts a string or a regex, returns a matching sub-entry object.

  add_entry
Adds a changes sub-entry. Accepts a changes sub-entry object or a string.

  remove_entry
Given a string or a changes entry object, removes the entry from the release.

SEE ALSO

•   CPAN::Changes

AUTHORS
See CPAN::Changes for authors.

COPYRIGHT AND LICENSE
See CPAN::Changes for the copyright and license.